PyRank
  • Search
  • PyPI
  • GitHub
  • Insights
  • Compare
  • Advisories
  • Ecosystem
  • About

Internationalization Python Packages

Python packages with the GitHub topic internationalization. Sorted by monthly downloads, with stars and forks.
projectfluent
fluent-syntax

Python implementation of Project Fluent

714K 245 31
projectfluent
fluent-runtime

Python implementation of Project Fluent

385K 245 31
projectfluent
fluent-pygments

Python implementation of Project Fluent

244K 245 31
WeblateOrg
wlc

Weblate command line client

203K 47 22
mbi
django-rosetta

Rosetta is a Django application that eases the translation process of your Django projects

174K 1K 203
edoburu
django-parler

Easily translate "cheese omelet" into "omelette au fromage".

158K 738 162
mirumee
google-i18n-address

Google's i18n address data packaged for Python.

133K 158 55
WeblateOrg
weblate-language-data

Language definitions used by Weblate

89K 31 28
Atem18
isocodes

This project provides lists of various ISO standards (e.g. country, language, language scripts, and currency names) in one place

71K 17 5
boardpack
pydantic-i18n

pydantic-i18n is an extension to support an i18n for the pydantic error messages.

45K 102 10
raphaelm
django-i18nfield

Store internationalized strings in Django models with full forms support

42K 39 20
WeblateOrg
weblate

Web based localization tool with tight version control integration.

38K 6K 1K
edoburu
django-parler-rest

Translatable model support for django-rest-framework

36K 61 16
Anbarryprojects
fastapi-babel

FastAPI babel support pybable tools like translation of text, formatting of dates, times and numbers, and time zones.

32K 70 17
zxzinn
django-makemessages-rs

A fast Rust alternative to Django's makemessages command

17K 2 1
generaltranslation
gtx-cli

Full-stack localization for every framework

12K 1K 40
sectasy0
pyi18n-v2

Small and easy to use internationalization library inspired by Ruby i18n

11K 56 5
projectfluent
fluent

Python implementation of Project Fluent

7K 245 31
bbmokhtari
django-translations

Django model translation for perfectionists with deadlines.

5K 148 23
byllyfish
precis-i18n

Python3 implementation of PRECIS framework (RFC 8264, RFC 8265, RFC 8266)

5K 20 4
gettranslatebot
translatebot-django

⚡Translate Django .po files and model fields with AI. Repeatable, consistent, and pennies per language.

4K 25 3
ciarandarby
lokit-python

The highest performing and most memory efficient Localization toolkit written in Rust

4K 2 0
mondeja
mdpo

Markdown files translation using GNU PO files

3K 34 6
ankitpopli1891
django-autotranslate

A simple Django app to automatically translate the pot (.po) files generated by django's makemessages command using google translate.

2K 70 42
    • Original data from PyPI, GitHub, and OSV; downloads served through ClickHouse
    • Sources & methodology